LinHES - Feature # 599: Upgrade lirc to 0.8.6 for better imon-pad support

Status: Closed Priority: High

Author: bigb Category: Packages: Core

Created: 12/17/2009 Assignee: jams

Updated: 12/12/2010 Due date: 01/10/2011

Description: | use an Imon-pad. And lirc 0.8.5-CVS-pvr150 does not reliably support the pad (arrow buttons). | uninstalled

lirc that came with linhes and installed 0.8.6 by source and it worked out of the box. please note that | think
the remote definition file may be different from previous versions.

Associated revisions

11/06/2010 11:42 am - jams
lirc: update to 0.8.7

ref #574

ref #647

closes #599

11/06/2010 11:42 am - jams
lirc-utils: update to 0.8.7

ref #574

ref #647

ref #599

History

03/21/2010 06:30 pm - jams
- Priority changed from Normal to High

- Category set to Packages: Core

03/21/2010 06:30 pm - jams
- Tracker changed from Bug to Feature

03/30/2010 09:50 am - jams

- Assignee set to jams

03/30/2010 06:50 pm - christian

- File lircrc.RC6 added

- File lircd.conf.RC6 added

jams,

here are the lircd.conf and lircrc files for each iMon type. Most of the iMon receivers use the iMon protocol and some later receivers can be switch
between iMon and RC6. The iMon receiver in the Antec Fusion Black uses RC6 only. There is a 95% ability to predict which uses which based on the

usb id. But usually as long as you know what remote came with the receiver you should be ok.

The files with the suffix "imon" use the actual iMon protocol. Any iMon remote will do. | use a Harmony to emulate an RM200.
Most of the Veris iMon receivers use this protocol.

The files with the suffix "RC6" use the RC6 protocol. On my other Harmony | emulate an RC6 based MCE remote.
The iMon driver now uses a 64 bit value as of 0.8.6 so these files are not backward compatible.

At some point we should converge all of the lircd.conf files to use what is emerging as the standard definition. Then we could offer an effectively
standard lircrc and grab the lircd.conf files directly from lirc.org.

03/30/2010 06:52 pm - christian
- File lircrc.imon added

- File lircd.conf.imon added

Odd. The bug tracker only accepted two files. Here are the iMon ones...

04/20/2010 12:56 pm - brfransen

- Target version set to 7.1

- Due date set to 08/08/2010

11/06/2010 11:50 am - jams

- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:"55365f9398ded52e8a352079cba0787866e58153".

Files

lircd.conf.RC6 1.6 kB 03/30/2010 christian
lircrc.RC6 15.3 kB 03/30/2010 christian
lircd.conf.imon 5.9 kB 03/30/2010 christian
lircrc.imon 6.9 kB 03/30/2010 christian
